diff -Naur dx.orig/dx-4.4.4/debian/changelog dx/dx-4.4.4/debian/changelog
--- dx.orig/dx-4.4.4/debian/changelog	2014-03-16 15:32:18.763388398 -0500
+++ dx/dx-4.4.4/debian/changelog	2014-03-29 17:27:33.901944532 -0500
@@ -1,3 +1,11 @@
+dx (1:4.4.4-8) unstable; urgency=low
+
+  * Fix FTBFS with clang
+    - Fixed the non-void function should return a value error in
+      src/exec/libdx/lock.c: replaced return; with return 1;
+  
+ -- Arthur Marble <arthur@info9.net>  Sat, 29 Mar 2014 17:27:33 -0500
+
 dx (1:4.4.4-7) unstable; urgency=low
 
   * Fix undefined sprintf() usage.
diff -Naur dx.orig/dx-4.4.4/debian/patches/clang-ftbfs.diff dx/dx-4.4.4/debian/patches/clang-ftbfs.diff 
--- dx.orig/dx-4.4.4/debian/patches/clang-ftbfs.diff	1969-12-31 18:00:00.000000000 -0600
+++ dx/dx-4.4.4/debian/patches/clang-ftbfs.diff	2014-03-16 15:38:21.095394708 -0500
@@ -0,0 +1,11 @@
+--- a/src/exec/libdx/lock.c
++++ b/src/exec/libdx/lock.c
+@@ -936,7 +936,7 @@ DXunlock(lock_type *l, int who)
+     if (_lock->knt == 0)
+     {
+         DXSetError(ERROR_INTERNAL, "Unlocking an unlocked lock?");
+-	return;
++	return 1;
+     }
+ 
+     /*
diff -Naur dx.orig/dx-4.4.4/debian/patches/series dx/dx-4.4.4/debian/patches/series 
--- dx.orig/dx-4.4.4/debian/patches/series	2014-03-16 15:32:18.763388398 -0500
+++ dx/dx-4.4.4/debian/patches/series	2014-03-16 15:34:55.047391120 -0500
@@ -18,3 +18,4 @@
 50-spelling-errors-in-binaries-fix.patch
 50-dx-script-kfreebsd-fix.patch
 50-undefined-use-of-sprintf-fix.patch
+clang-ftbfs.diff
